package com.hwrj.cloud.portal.mapper;

import com.hwrj.cloud.portal.model.UmsCompanyFile;
import com.hwrj.cloud.portal.model.UmsCompanyFileExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface UmsCompanyFileMapper {
    long countByExample(UmsCompanyFileExample example);

    int deleteByExample(UmsCompanyFileExample example);

    int deleteByPrimaryKey(Long id);

    int insert(UmsCompanyFile record);

    int insertSelective(UmsCompanyFile record);

    List<UmsCompanyFile> selectByExample(UmsCompanyFileExample example);

    UmsCompanyFile selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") UmsCompanyFile record, @Param("example") UmsCompanyFileExample example);

    int updateByExample(@Param("record") UmsCompanyFile record, @Param("example") UmsCompanyFileExample example);

    int updateByPrimaryKeySelective(UmsCompanyFile record);

    int updateByPrimaryKey(UmsCompanyFile record);
}